pro delvarx, p0,p1,p2,p3,p4,p5,p6,p7,p8,p9
;
;+
;
;   Project: SSW
;
;   Name: delvarx
;
;   Purpose: delete variables for memory management (can call from routines)
;
;   Input Parameters:
;      p0,p1...p9 - variables to delete
;
;   Calling Sequence:
;      delvarx, a [,b,c,d,e,f,g,h,i,j]	;deletes named variables
;					;like idl delvar, but may be used
;					;from any calling level
;
;   History: 
;      S.L.Freeland 25-feb-1993         ; Written
;      slf,  8-mar-1993			; bug fix
;      slf, 25-mar-1993			; made it work for non-scalers!
;      slf, 15-jan-1997                 ; Documentation->SSW
;      Zarro, 2-Feb-2002                ; Added FREE_VAR to free pointer/objects
;      
;
;  Method: uses execute and temporary function
;-
for i=0, n_params()-1 do begin				   ;for each parameter
   param=strcompress("p" + string(i),/remove)
;  only delete if defined on inpu (avoids error message)
   exestat = execute("defined=n_elements(" + param + ")" ) 
   if defined gt 0 then begin
      if since_version('5.0') then exestat = execute("free_var,"+param)
      exestat = execute(param + "=0")
      exestat = execute("dvar=temporary(" + param + ")" )
   endif
endfor
return
end
